<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Name: stoma
Description: Template voor de weergave van stoma
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000">
   <title>stoma</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]
Item: (stoma)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]"
         id="d20e8513-false-d49006e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]) &gt;= 1">(stoma): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]) &lt;= 1">(stoma): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]
Item: (stoma)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]"
         id="d20e8520-false-d49041e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="string(@classCode) = ('SPLY')">(stoma): de waarde van classCode MOET 'SPLY' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="string(@moodCode) = ('EVN')">(stoma): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']) &gt;= 1">(stoma): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']) &lt;= 1">(stoma): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(stoma): element hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(stoma): element hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(stoma): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.137']]]) &gt;= 1">(stoma): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.137']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.137']]]) &lt;= 1">(stoma): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.137']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.138']]]) &lt;= 1">(stoma): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.138']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]) &lt;= 1">(stoma): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']
Item: (stoma)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']"
         id="d20e8546-false-d49114e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.136')">(stoma): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.136' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (stoma)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:code[(@code = '281600005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e8556-false-d49129e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="@nullFlavor or (@code='281600005' and @codeSystem='2.16.840.1.113883.6.96')">(stoma): de elementwaarde MOET een zijn van 'code '281600005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:effectiveTime
Item: (stoma)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:effectiveTime"
         id="d20e8567-false-d49145e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="not(*)">(stoma): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.137']]]
Item: (stoma)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.138']]]
Item: (stoma)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.138']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="string(@typeCode) = ('REFR')">(stoma): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (stoma)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.136-2014-08-20T000000.html"
              test="string(@typeCode) = ('REFR')">(stoma): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
