<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Name: behandelplan - huidletsel
Description: Template voor de weergave van behandelplan - huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000">
   <title>behandelplan - huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]"
         id="d20e10268-false-d52525e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]) &gt;= 1">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]) &lt;= 1">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]"
         id="d20e10275-false-d52542e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@classCode) = ('PROC')">(behandelplan_huidletsel): de waarde van classCode MOET 'PROC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(behandelplan_huidletsel): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']) &gt;= 1">(behandelplan_huidletsel): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']) &lt;= 1">(behandelplan_huidletsel): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(behandelplan_huidletsel): element hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(behandelplan_huidletsel): element hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']"
         id="d20e10294-false-d52577e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.160')">(behandelplan_huidletsel): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.160' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:code[(@code = '183001000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e10304-false-d52592e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_huidletsel): de elementwaarde MOET een zijn van 'code '183001000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
