<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Name: geregistreerd als donor
Description: Template voor de weergave van geregistreerd als donor
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000">
   <title>geregistreerd als donor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]"
         id="d20e16929-false-d65237e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]) &gt;= 1">(geregistreerd_als_donor): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]) &lt;= 1">(geregistreerd_als_donor): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]"
         id="d20e16936-false-d65254e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(geregistreerd_als_donor): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(geregistreerd_als_donor): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="@negationInd">(geregistreerd_als_donor): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(geregistreerd_als_donor): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']) &gt;= 1">(geregistreerd_als_donor): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']) &lt;= 1">(geregistreerd_als_donor): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(geregistreerd_als_donor): element hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(geregistreerd_als_donor): element hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']"
         id="d20e16958-false-d65294e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.240')">(geregistreerd_als_donor): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.240' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:code[(@code = '443564001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e16968-false-d65309e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="@nullFlavor or (@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')">(geregistreerd_als_donor): de elementwaarde MOET een zijn van 'code '443564001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
