<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Name: meegegeven documentatie
Description: Template voor de weergave van meegegeven documentatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000">
   <title>meegegeven documentatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]
Item: (meegegeven_documentatie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]"
         id="d20e18143-false-d67591e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]) &gt;= 1">(meegegeven_documentatie): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]) &lt;= 1">(meegegeven_documentatie): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]
Item: (meegegeven_documentatie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]"
         id="d20e18150-false-d67608e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@classCode) = ('ACT')">(meegegeven_documentatie): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(meegegeven_documentatie): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']) &gt;= 1">(meegegeven_documentatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']) &lt;= 1">(meegegeven_documentatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(meegegeven_documentatie): element hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(meegegeven_documentatie): element hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']
Item: (meegegeven_documentatie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']"
         id="d20e18169-false-d67643e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.260')">(meegegeven_documentatie): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.260' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (meegegeven_documentatie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:code[(@code = '103313004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e18179-false-d67658e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="@nullFlavor or (@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')">(meegegeven_documentatie): de elementwaarde MOET een zijn van 'code '103313004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
