<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Name: procedure reden overdragen zorg
Description: Template voor de weergave van reden overdragen zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000">
   <title>procedure reden overdragen zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]
Item: (procedure_reden_overdragen_zorg)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]"
         id="d20e19355-false-d69974e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]) &gt;= 1">(procedure_reden_overdragen_zorg): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]) &lt;= 1">(procedure_reden_overdragen_zorg): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]
Item: (procedure_reden_overdragen_zorg)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]"
         id="d20e19362-false-d70003e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@classCode) = ('PROC')">(procedure_reden_overdragen_zorg): de waarde van classCode MOET 'PROC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(procedure_reden_overdragen_zorg): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']) &gt;= 1">(procedure_reden_overdragen_zorg): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']) &lt;= 1">(procedure_reden_overdragen_zorg): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(procedure_reden_overdragen_zorg): element hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(procedure_reden_overdragen_zorg): element hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.31']]]) &gt;= 1">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.31']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.35']]]) &lt;= 1">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.35']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']
Item: (procedure_reden_overdragen_zorg)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']"
         id="d20e19382-false-d70058e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.30')">(procedure_reden_overdragen_zorg): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.30' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (procedure_reden_overdragen_zorg)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:code[(@code = '308292007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e19392-false-d70073e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="@nullFlavor or (@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')">(procedure_reden_overdragen_zorg): de elementwaarde MOET een zijn van 'code '308292007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.31']]]
Item: (procedure_reden_overdragen_zorg)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.31']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@typeCode) = ('RSON')">(procedure_reden_overdragen_zorg): de waarde van typeCode MOET 'RSON' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.35']]]
Item: (procedure_reden_overdragen_zorg)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.35']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(procedure_reden_overdragen_zorg): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
